Syntax check for raster calculator

2014-10-24 02:07 AM - Paolo Cavallini

Status: Open

Priority: Normal

Assignee:

Category: Processing/Core

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 19753

Description

It would be good to add a syntax checker for raster calculator, so the user is prevented before running a wrong formula. Please see the

QGIS raster calc or the expression builder for examples. Aslo, a syntax highlight would be good to have.

History

#1 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2018-03-07 11:24 AM - Paolo Cavallini

- Assignee deleted (Victor Olaya)

- Category changed from Processing/SAGA to Processing/Core

Still true in QGIS 3.
